package com.caimei365.order;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;

/**
 * `@EnableEurekaClient`: 声明一个Eureka客户端，只能注册到Eureka Server
 * `@EnableDiscoveryClient`: 声明一个可以被发现的客户端，可以是其他注册中心
 * `@EnableFeignClients(basePackages = {"com.caimei365.order.feign"})`:开启feign接口扫描，指定扫描的包
 *
 * @author : Charles
 * @date : 2021/2/22
 */
@EnableDiscoveryClient
@SpringBootApplication
@EnableFeignClients(basePackages = {"com.caimei365.order.feign"})
public class OrderApplication {

    public static void main(String[] args) {
        SpringApplication.run(OrderApplication.class, args);
    }

//    @Bean
//    @LoadBalanced
//    public WebClient.Builder webClientBuilder(){
//        return WebClient.builder();
//    }

}
