package com.caimei365.order.config;

import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

import javax.annotation.Resource;

/**
 * Description
 *
 * @author : Charles
 * @date : 2020/3/12
 */
@Configuration
public class ApiConfig implements WebMvcConfigurer {
    @Resource
    private ApiInterceptor apiInterceptor;

    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        //addPathPatterns 用于添加拦截规则
        //excludePathPatterns 用于排除拦截
        registry.addInterceptor(apiInterceptor)
                .addPathPatterns("/order/club/cart/**")
                .addPathPatterns("/order/seller/cart/**")
                .addPathPatterns("/order/submit/**")
                .addPathPatterns("/order/club/confirm")
                .addPathPatterns("/order/club/receive")
                .addPathPatterns("/order/club/cancel")
                .addPathPatterns("/order/club/delete")
                .addPathPatterns("/order/club/second/payment/confirm")
                .addPathPatterns("/order/pay/balance/deduction");
//                .excludePathPatterns("/order/detail")
//                .excludePathPatterns("/order/commodityData")
//                .excludePathPatterns("/order/shareCode");
    }
}
