package com.caimei365.order.controller;

import com.caimei365.order.model.ResponseJson;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/5/18
 */
@RestController
@RequiredArgsConstructor
@RequestMapping("/order")
public class BaseApi {

    @Value(value = "${swagger.enabled}")
    private Boolean swaggerEnabled;

    @GetMapping("")
    public String welcome(){
        if (swaggerEnabled){
            return "欢迎使用！<br><a href='http://47.119.112.46:18014/doc.html'>doc接口文档入口(beta)</a><br><a href='http://47.119.112.46:18014/swagger-ui/index.html'>swagger接口文档入口(beta)</a>";
        }
        return "欢迎使用！";
    }

    /**
     * Token失效
     */
    @GetMapping("/unauthorized")
    public ResponseJson<Void> unauthorized() {
        return ResponseJson.error(-99, "Token失效请重新登录!", null);
    }
}

