package com.caimei365.order.feign;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/9/8
 */
@FeignClient("CAIMEI365-CLOUD-TOOLS")
public interface ToolsFeign {
    /**
     * 请求发短信接口
     *
     * @param mobile  手机号
     * @param content 内容
     * @return str
     */
    @GetMapping("/tools/sms/send")
    String getSendSms(@RequestParam String mobile, @RequestParam String content);

    /**
     * 智能获取物流信息
     *
     * @param number      快递单号
     * @param companyCode 快递公司的编码
     * @param mobile      收/寄件人的电话号码(顺丰必填)
     * @return str
     */
    @GetMapping("/tools/query/logistics")
    String getLogisticsByNumber(@RequestParam String number, @RequestParam String companyCode, @RequestParam String mobile);
}
