package com.caimei365.order.feign;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestParam;


/**
 * Description
 *
 * @author : Charles
 * @date : 2021/9/7
 */
@FeignClient("CAIMEI365-CLOUD-USER")
public interface UserFeign {
    /**
     * 微信小程序授权登录（调用user服务，发送服务间调用POST请求）
     *
     * @param code          微信code
     * @param encryptedData 微信加密数据
     * @param iv            微信加密算法的初始向量
     * @param referer       HttpHeaders(referer)
     * @return str
     */
    @PostMapping("/user/login/auth/applets")
    String appletsAuthorization(@RequestParam String code, @RequestParam String encryptedData, @RequestParam String iv, @RequestHeader("Referer") String referer);
}
