package com.caimei365.order.model.bo;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.caimei365.order.model.po.InvoicePo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/7/6
 */
@Data
public class OrderParamBo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 用户ID
     */
    private Integer userId;
    /**
     * 机构id
     */
    private Integer clubId;
    /**
     * 用户名
     */
    private String userName;
    /**
     * 企业绑定手机号
     */
    private String bindMobile;
    /**
     * 账户余额
     */
    private Double userMoney;
    /**
     * 账户实际可用余额（提交订单未支付的被抵扣后的余额）
     */
    private Double ableUserMoney;
    /**
     * 采美豆数量（数据库）
     */
    private Integer userBeans;
    /**
     * 当前订单抵扣的采美豆数量（前端传入）
     */
    private Integer offsetBeans;
    /**
     * 运费标志：0包邮 -1到付 1遵循运费规则
     */
    private Integer postageFlag;
    /**
     * 当前订单邮费
     */
    private Double postage;
    /**
     * 当前订单余额支付标识，0不使用，1使用
     */
    private Integer balancePayFlag;
    /**
     * 当前订单应付总额
     */
    private Double orderShouldPayFee;
    /**
     * 售后条款id
     */
    private Integer clauseId;
    /**
     * 返佣订单标识 0非返佣订单，1返佣订单
     */
    private Integer rebateFlag;
    /**
     * 发票类型 0不开发票 1普通发票 2增值税发票
     */
    private Integer invoiceType;
    /**
     * 当前订单发票信息
     */
    private InvoicePo orderInvoice;
    /**
     * 当前订单订单商品
     */
    private JSONArray orderInfo;
    /**
     * 购买类型:（1自主下单(购物车),2自主下单(立即购买)，3协销下单）
     */
    private Integer cartType;
    /**
     * 下单人
     */
    private Integer buyUserId;
    /**
     * 协销Id
     */
    private Integer serviceProviderId;
    /**
     * 订单来源：1WWW、2CRM、4客服[适用后台下单]、5外单[适用后台下单]、6小程序[采美,星范]、7呵呵商城小程序、8维沙小程序
     */
    private Integer orderSource;
    /**
     * 收货地址Id
     */
    private Integer addressId;
    /**
     * 优惠券Id
     */
    private Integer clubCouponId;
    /**
     * 超级会员用户标记
     */
    private Boolean svipUserFlag;
}
