package com.caimei365.order.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/8/6
 */
@Data
public class LogisticsDto implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 子订单Id
     */
    @ApiModelProperty("子订单Id")
    private Integer shopOrderId;
    /**
     * 备注信息
     */
    @ApiModelProperty("备注信息")
    private String note;
    /**
     * 图片备注以##隔开
     */
    @ApiModelProperty("图片备注以##隔开")
    private String image;
    /**
     * 物流信息：[
     *             {number:'45646464646',logisticsCompanyName:'顺丰物流',logisticsCompanyCode:'物流英文代码'},
     *             {number:'45646464646',logisticsCompanyName:'顺丰物流',logisticsCompanyCode:'物流英文代码'}
     *         ]
     */
    @ApiModelProperty("物流信息")
    private String logistics;

    /**
     * 商品信息：[
     *            {orderProductId:订单商品id,num:此次发货数量},
     *            {orderProductId:订单商品id,num:此次发货数量}
     *         ]
     */
    @ApiModelProperty("商品信息")
    private String products;

    @Override
    public String toString() {
        return "LogisticsDto{" +
                "shopOrderId=" + shopOrderId +
                ", note='" + note + '\'' +
                ", image='" + image + '\'' +
                ", logistics='" + logistics + '\'' +
                ", products='" + products + '\'' +
                '}';
    }
}
