package com.caimei365.order.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/7/30
 */
@Data
public class PayDto implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 订单Id
     */
    @ApiModelProperty("订单Id")
    private Integer orderId;
    /**
     * 支付金额，单位分，必须大于2
     */
    @ApiModelProperty("支付金额，单位分，必须大于2")
    private Integer payAmount;
    /**
     * 页面回调地址
     */
    @ApiModelProperty("页面回调地址")
    private String returnUrl;
    /**
     * 微信小程序code,微信小程序支付使用
     */
    @ApiModelProperty("微信小程序code")
    private String code;
    /**
     * 微信公众号state参数
     */
    @ApiModelProperty("微信公众号state参数")
    private String state;
    /**
     * 银行编码(银联支付使用)
     */
    @ApiModelProperty("银行编码(银联支付使用)")
    private String bankCode;
    /**
     * 用户类型(银联支付使用)
     * 企业：ENTERPRISE
     * 个人：USER
     */
    @ApiModelProperty("用户类型(银联支付使用)企业:ENTERPRISE，个人:USER")
    private String userType;
}
