package com.caimei365.order.model.po;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 款项识别表
 *
 * @author : Charles
 * @date : 2021/7/14
 */
@Data
public class DiscernReceiptPo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 款项识别表id
     */
    private Integer id;
    /**
     * 用户付款方式：1线上，2线下，3余额抵扣
     */
    private Integer payWay;
    /**
     * 付款类型：1建设银行7297、2广发银行0115、3中信银行7172、4中信银行0897、5中信银行0897-财付通、6中信银行0897-支付宝、7线上-支付宝、8线上-微信支付、9线上-快钱支付、10口头返佣、11广发银行5461、12PC-B2B网银、13PC-微信支付、14PC-支付宝、15小程序-微信支付、16余额抵扣、17PC-B2C网银
     */
    private Integer payType;
    /**
     * 收款款项类型：1订单款，2非订单款，3返佣款
     */
    private Integer receiptType;
    /**
     * 收款状态：1待确认、2已确认(待审核)、3审核通过、4审核未通过、5收款撤销【订单款项状态:12345】【非订单款项状态:125】【返佣款状态:125】【线上支付成功为审核通过】
     */
    private Integer receiptStatus;
    /**
     * 收款金额（线上一次性付款和支付金额一致）
     */
    private Double receiptAmount;
    /**
     * 确认订单类型：1小额抹平确认，2大额抹平确认，3大额退款余额，4确认关联
     */
    private Integer confirmType;
    /**
     * 收款时间
     */
    private String receiptDate;
    /**
     * 确认时间
     */
    private String confirmDate;
    /**
     * 审核时间
     */
    private String reviewDate;
    /**
     * 更新操作时间
     */
    private String updateDate;
    /**
     * 作废标记 0 否，其余是
     */
    private Integer delFlag;
    /**
     * 支付状态 1支付成功--[线上字段]
     */
    private Integer rePayFlag;
    /**
     * 支付回调返回数据--[线上字段]
     */
    private String formData;
}
