package com.caimei365.order.model.vo;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 购物车供应商列表
 *
 * @author : Charles
 * @date : 2021/6/25
 */
@Data
public class CartShopVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 供应商Id
     */
    private Integer shopId;
    /**
     * 供应商名称
     */
    private String shopName;
    /**
     * 供应商Logo
     */
    private String shopLogo;
    /**
     * 总价
     */
    private Double totalPrice;
    /**
     * 减免价格
     */
    private Double reducedPrice;
    /**
     * 超级会员优惠
     */
    private Double svipReducedPrice;
    /**
     * 划线价格
     */
    private Double originalPrice;
    /**
     * 供应商下商品种类
     */
    private Integer count;
    /**
     * 商品列表
     */
    private List<CartItemVo> cartList;
    /**
     * 促销活动
     */
    private PromotionsVo promotions;
    /**
     * 领券标识
     */
    private Boolean couponsLogo;
    /**
     * 前端勾选状态
     */
    private Boolean isChecked;
}
