package com.caimei365.order.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/7/22
 */
@Data
public class LogisticsBatchVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * id
     */
    private Integer id;
    /**
     * 子订单Id
     */
    private Integer shopOrderId;
    /**
     * 主订单Id
     */
    private Integer orderId;
    /**
     * 第几批发货
     */
    private Integer outStoreTimes;
    /**
     * 是否确认收货（0：否，1：是）
     */
    private String status;
    /**
     * 邮寄者  0 采美   1 供应商
     */
    private String mailer;
    /**
     * 供应商Id
     */
    private Integer shopId;
    /**
     * 最后更新时间
     */
    private Date updateDate;
    /**
     * 发货时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date deliveryTime;
    /**
     * 收货时间
     */
    private Date receiptTime;
    /**
     * 备注图片,以"##"隔开
     */
    private String remarkImage;
    /**
     * 备注
     */
    private String remark;
    /**
     * 物流跟踪信息
     */
    private List<LogisticsInformationVo> logisticsInformationList;
    /**
     * 子订单信息
     */
    private List<ShopOrderVo> shopOrderList;
    /**
     * 备注图片数组
     */
    private String[] remarkImages;
    /**
     * 发货物流记录
     */
    private List<LogisticsRecordVo> logisticsRecordList;
}
