package com.caimei365.order.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/8/2
 */
@Data
public class OrderPayLinkVo implements Serializable {
    private static final long serialVersionUID = 1L;

    private Integer id;
    /**
     * 订单id
     */
    private Integer orderId;
    /**
     * 链接标识
     */
    private String linkLogo;
    /**
     * 本次待付款金额
     */
    private Double unpaidAmount;
    /**
     * 链接生成时间
     */
    private Date generateTime;
    /**
     * 链接有效时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date effectiveTime;
    /**
     * 支付状态,0未支付,1已支付
     */
    private Integer payStatus;
    /**
     * 支付类型,1企业网银,2个人网银
     */
    private Integer payType;
    /**
     * 删除标记 0 否，其余是
     */
    private Integer delFlag;
    /**
     * 重定向链接
     */
    private String redirectLink;
}
