package com.caimei365.order.model.vo;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/7/20
 */
@Data
public class OrderVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 订单号
     */
    private Integer orderId;
    /**
     * 订单来源：1WWW、2CRM、4客服[适用后台下单]、5外单[适用后台下单]、6小程序[采美,星范]、7呵呵商城小程序、8维沙小程序
     */
    private Integer orderSource;
    /**
     * 订单编号
     */
    private String orderNo;
    /**
     * 用户Id
     */
    private Integer userId;
    /**
     * 机构Id
     */
    private Integer clubId;
    /**
     * 机构名称（协销订单列表用）
     */
    private String clubName;
    /**
     * 超级会员标识,1是，不是
     */
    private Integer svipUserFlag;
    /**
     * 下单人Id(协销Id,或运营人Id,或用户Id)
     */
    private Integer buyUserId;
    /**
     * 订单提交时间
     */
    private String orderTime;
    /**
     * 更新时间
     */
    private String updateDate;
    /**
     * 订单状态 0 有效  其它无效
     */
    private Integer delFlag;
    /**
     * 采美豆抵扣运费的抵扣数量
     */
    private Integer userBeans;
    /**
     * 订单类型 协销订单 0， 普通订单 1
     */
    private Integer orderType;
    /**
     * 订单提交类型 0:个人自己下单 1:企业自己下单 2:员工帮会所下单 3:协销帮会所下单  4:后台下单 5:采美豆订单
     */
    private Integer orderSubmitType;
    /**
     * 订单确认标志，0否，1后台确认，2买家确认（适用协销订单并且1或2都算已确认订单，主动订单默认1为确认）
     */
    private Integer confirmFlag;
    /**
     * 是否能走线上支付 0可以 1不可以 只能线下
     */
    private Integer onlinePayFlag;
    /**
     * 订单是否可拆分   1可拆分 0不可拆分
     */
    private Integer splitFlag;
    /**
     * 是否已支付 未支付0 已支付1
     */
    private Integer payFlag;
    /**
     * (向买家)收款状态：1待收款、2部分收款、3已收款
     */
    private Integer receiptStatus;
    /**
     * (向供应商)付款状态：1待付款、2部分付款、3已付款
     */
    private Integer payStatus;
    /**
     * 订单0成本标识：0订单有成本，1订单无成本（订单中所有商品成本为0）
     */
    private Integer zeroCostFlag;
    /**
     * 发货状态：1待发货、2部分发货、3已发货
     */
    private Integer sendOutStatus;
    /**
     * 退货退款类型：0未发生退款、1部分退、2全部退
     */
    private Integer refundType;
    /**
     * 确认付款供应商标识 0未确认，1已确认
     */
    private Integer affirmPaymentFlag;
    /**
     * 购买总数
     */
    private Integer productCount;

    /**
     * 赠送总数  不计算价格
     */
    private Integer presentCount;
    /**
     * 促销赠品总数
     */
    private Integer promotionalGiftsCount;
    /**
     * 是否包含活动商品(受订单未支付自动关闭时间影响)  0 否 1 是
     */
    private Integer hasActProduct;
    /**
     * 促销满减优惠
     */
    private Double promotionFullReduction;
    /**
     * 超级会员优惠
     */
    private Double svipFullReduction;
    /**
     * 二手商品订单标识  0非二手商品订单、 1二手商品订单
     */
    private Integer secondHandOrderFlag;
    /**
     * 是否开发票 没开发票 0 开个人发票 1 开企业发票2
     */
    private Integer invoiceFlag;
    /**
     * 免邮标志  运费：-1到付，0包邮，1需要运费,-2仪器到付其它包邮
     */
    private Integer postageFlag;
    /**
     * -1到付，0包邮，大于0具体金额,-2仪器到付其它包邮（且运费已使用商品形式存储）
     */
    private Double postage;
    /**
     * 商品总金额 （商品单价乘以数量，再加上税费）
     */
    private Double productTotalFee;
    /**
     * 小计金额 （商品折后单价乘以数量，再加上税费）
     */
    private Double orderTotalFee;
    /**
     * 经理折扣
     */
    private Double discountFee;
    /**
     * 使用优惠券金额
     */
    private Double couponAmount;
    /**
     * 订单总额（小计金额减去经理折扣后，再加上运费）
     */
    private Double payTotalFee;
    /**
     * 真实支付金额（订单总额减去抵扣的账户余额）
     */
    private Double payableAmount;
    /**
     * 余额支付金额
     */
    private Double balancePayFee;
    /**
     * 0待确认,11待收待发,12待收部发,13待收全发,21部收待发,22部收部发,23部收全发,31已收待发,32已收部发,33已收全发,4交易完成,5订单完成,6已关闭,7交易全退
     */
    private Integer status;
    /**
     * 订单确认时间
     */
    private String confirmTime;
    /**
     * 订单支付时间
     */
    private String payTime;
    /**
     * 返佣订单标识 0非返佣订单，1返佣订单
     */
    private Integer rebateFlag;
    /**
     * 条款ID
     */
    private Integer clauseId;
    /**
     * 条款名称
     */
    private String clauseName;
    /**
     * 子订单ID
     */
    private String shopOrderIds;
    /**
     * 订单取消原因
     */
    private String closeReason;
    /**
     * 订单取消时间
     */
    private String closeTime;
    /**
     * 订单备注
     */
    private String note;
    /**
     * 已支付成功次数统计(适用线上多笔付款用来确认当前是哪一笔)
     */
    private Integer paySuccessCounter;
    /**
     * 子订单信息
     */
    private List<ShopOrderVo> shopOrderList;
    /**
     * 支付按钮是否消失,true消失
     */
    private boolean payButton = false;
    /**
     * 待付总金额
     */
    private Double pendingPayments;
    /**
     * 付款总金额
     */
    private Double receiptAmount;
    /**
     * 订单标识:#订单号#
     */
    private String orderMark;
    /**
     * 是否包含充值商品
     */
    private boolean rechargeGoods = false;
    /**
     * 总税费
     */
    private Double expensesOfTaxation;
    /**
     * 退款总金额
     */
    private Double returnedPurchaseFee;
    /**
     * 是否有商品发票属性的限制，为true时只能线下支付
     */
    private boolean invoiceStatus = false;

}
