package com.caimei365.order.service;

import com.caimei365.order.model.ResponseJson;
import com.caimei365.order.model.vo.OrderVo;
import com.github.pagehelper.PageInfo;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/7/19
 */
public interface OrderSellerService {
    /**
     * 协销订单列表
     * @param serviceProviderId 协销Id
     * @param listType 1:待确认,2:待付款,3:待发货,4:已发货,5:退货款
     * @param orderSubmitType    1：自主订单， 2:协销或后台订单
     * @param orderNo    订单编号
     * @param pageNum    页码
     * @param pageSize   每页数量
     */
    ResponseJson<PageInfo<OrderVo>> getOrderList(Integer serviceProviderId, Integer listType, Integer orderSubmitType, String orderNo, int pageNum, int pageSize);

    /**
     * 协销下机构总订单列表
     * @param serviceProviderId 协销Id
     * @param clubId            机构Id
     * @param listType 1:待确认,2:待付款,3:待发货,4:已发货,5:退货款
     * @param orderSubmitType    1：自主订单， 2:协销或后台订单
     * @param pageNum    页码
     * @param pageSize   每页数量
     */
    ResponseJson<PageInfo<OrderVo>> getOrderListClub(Integer serviceProviderId, Integer clubId, Integer listType, Integer orderSubmitType, int pageNum, int pageSize);

    /**
     * 协销根据关键词搜索订单
     * @param serviceProviderId     协销Id
     * @param searchWord 搜索关键词
     * @param pageNum    页码
     * @param pageSize   每页数量
     */
    ResponseJson<PageInfo<OrderVo>> getOrderListByKeyword(Integer serviceProviderId, String searchWord, int pageNum, int pageSize);
}
